{
  "schema_version": "1.4.0",
  "id": "GHSA-m79p-4p7w-x53w",
  "modified": "2022-05-13T01:29:31Z",
  "published": "2022-05-13T01:29:31Z",
  "aliases": [
    "CVE-2016-6250"
  ],
  "details": "Integer overflow in the ISO9660 writer in libarchive before 3.2.1 allows remote attackers to cause a denial of service (application crash) or execute arbitrary code via vectors related to verifying filename lengths when writing an ISO9660 archive, which trigger a buffer overflow.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2016-6250"
    },
    {
      "type": "WEB",
      "url": "https://github.com/libarchive/libarchive/issues/711"
    },
    {
      "type": "WEB",
      "url": "https://github.com/libarchive/libarchive/commit/3014e198"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=1347085"
    },
    {
      "type": "WEB",
      "url": "https://github.com/libarchive/libarchive/files/295073/libarchiveOverflow.txt"
    },
    {
      "type": "WEB",
      "url": "https://security.gentoo.org/glsa/201701-03"
    },
    {
      "type": "WEB",
      "url": "http://rhn.redhat.com/errata/RHSA-2016-1844.html"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2016/07/20/1"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2016/07/21/3"
    },
    {
      "type": "WEB",
      "url": "http://www.oracle.com/technetwork/topics/security/linuxbulletinjul2016-3090544.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/92036"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id/1036431"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2016-09-21T14:25:00Z"
  }
}